Loading...
Searching...
No Matches
DistGeom::FourthDimContrib Class Reference

`#include <FourthDimContrib.h>`

Inheritance diagram for DistGeom::FourthDimContrib:

## Public Member Functions

| FourthDimContrib ()
| FourthDimContrib (ForceFields::ForceField *owner, unsigned int idx, double weight)
| Constructor.
double | getEnergy (double *pos) const override
| return the contribution of this contrib to the energy of a given state
void | getGrad (double *pos, double *grad) const override
FourthDimContrib * | copy () const override
| return a copy
Public Member Functions inherited from ForceFields::ForceFieldContrib
| ForceFieldContrib ()
| ForceFieldContrib (ForceFields::ForceField *owner)
virtual | ~ForceFieldContrib ()

## Additional Inherited Members

Protected Attributes inherited from ForceFields::ForceFieldContrib
ForceField * | dp_forceField {nullptr}
| our owning ForceField

## Detailed Description

A term used in penalizing chirality violations

Definition at line 15 of file FourthDimContrib.h.

## Constructor & Destructor Documentation

## FourthDimContrib() [1/2]

DistGeom::FourthDimContrib::FourthDimContrib | ( |  | ) |

inline

Definition at line 18 of file FourthDimContrib.h.

## FourthDimContrib() [2/2]

DistGeom::FourthDimContrib::FourthDimContrib | ( | ForceFields::ForceField * | owner,
|  | unsigned int | idx,
|  | double | weight
| ) |  |

inline

Constructor.

Parameters

  owner | pointer to the owning ForceField
  idx | the index of the atom to be considered
  weight | (optional) the weight to be used for this contrib

Definition at line 27 of file FourthDimContrib.h.

References ForceFields::ForceField::dimension(), and PRECONDITION.

## Member Function Documentation

## copy()

FourthDimContrib * DistGeom::FourthDimContrib::copy | ( |  | ) | const

inline override virtual

return a copy

Implements ForceFields::ForceFieldContrib.

Definition at line 55 of file FourthDimContrib.h.

## getEnergy()

double DistGeom::FourthDimContrib::getEnergy | ( | double * | pos | ) | const

inline override virtual

return the contribution of this contrib to the energy of a given state

Implements ForceFields::ForceFieldContrib.

Definition at line 36 of file FourthDimContrib.h.

References PRECONDITION.

## getGrad()

void DistGeom::FourthDimContrib::getGrad | ( | double * | pos,
|  | double * | grad
| ) |  | const

inline override virtual

calculate the contribution of this contrib to the gradient at a given state

Implements ForceFields::ForceFieldContrib.

Definition at line 47 of file FourthDimContrib.h.

References PRECONDITION.

The documentation for this class was generated from the following file:

- FourthDimContrib.h